Package org.postgresql.core

# Class Oid

java.lang.Object
org.postgresql.core.Oid

public class Oid extends Object
Provides constants for well-known backend OIDs for the types we commonly use.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BIT`
`static final int`
`BIT_ARRAY`
`static final int`
`BOOL`
`static final int`
`BOOL_ARRAY`
`static final int`
`BOX`
`static final int`
`BOX_ARRAY`
`static final int`
`BPCHAR`
`static final int`
`BPCHAR_ARRAY`
`static final int`
`BYTEA`
`static final int`
`BYTEA_ARRAY`
`static final int`
`CHAR`
`static final int`
`CHAR_ARRAY`
`static final int`
`CIDR`
`static final int`
`CIRCLE`
`static final int`
`DATE`
`static final int`
`DATE_ARRAY`
`static final int`
`FLOAT4`
`static final int`
`FLOAT4_ARRAY`
`static final int`
`FLOAT8`
`static final int`
`FLOAT8_ARRAY`
`static final int`
`INET`
`static final int`
`INT2`
`static final int`
`INT2_ARRAY`
`static final int`
`INT4`
`static final int`
`INT4_ARRAY`
`static final int`
`INT8`
`static final int`
`INT8_ARRAY`
`static final int`
`INTERVAL`
`static final int`
`INTERVAL_ARRAY`
`static final int`
`JSON`
`static final int`
`JSON_ARRAY`
`static final int`
`JSONB`
`static final int`
`JSONB_ARRAY`
`static final int`
`LINE`
`static final int`
`LSEG`
`static final int`
`MACADDR`
`static final int`
`MACADDR8`
`static final int`
`MONEY`
`static final int`
`MONEY_ARRAY`
`static final int`
`NAME`
`static final int`
`NAME_ARRAY`
`static final int`
`NUMERIC`
`static final int`
`NUMERIC_ARRAY`
`static final int`
`OID`
`static final int`
`OID_ARRAY`
`static final int`
`PATH`
`static final int`
`POINT`
`static final int`
`POINT_ARRAY`
`static final int`
`POLYGON`
`static final int`
`REF_CURSOR`
`static final int`
`REF_CURSOR_ARRAY`
`static final int`
`TEXT`
`static final int`
`TEXT_ARRAY`
`static final int`
`TIME`
`static final int`
`TIME_ARRAY`
`static final int`
`TIMESTAMP`
`static final int`
`TIMESTAMP_ARRAY`
`static final int`
`TIMESTAMPTZ`
`static final int`
`TIMESTAMPTZ_ARRAY`
`static final int`
`TIMETZ`
`static final int`
`TIMETZ_ARRAY`
`static final int`
`TSQUERY`
`static final int`
`TSVECTOR`
`static final int`
`UNSPECIFIED`
`static final int`
`UUID`
`static final int`
`UUID_ARRAY`
`static final int`
`VARBIT`
`static final int`
`VARBIT_ARRAY`
`static final int`
`VARCHAR`
`static final int`
`VARCHAR_ARRAY`
`static final int`
`VOID`
`static final int`
`XML`
`static final int`
`XML_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`Oid()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`toString(int oid)`
Returns the name of the oid as string.
`static int`
`valueOf(String oid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNSPECIFIED

public static final int UNSPECIFIED

See Also:
  - Constant Field Values

### INT2

public static final int INT2

See Also:
  - Constant Field Values

### INT2_ARRAY

public static final int INT2_ARRAY

See Also:
  - Constant Field Values

### INT4

public static final int INT4

See Also:
  - Constant Field Values

### INT4_ARRAY

public static final int INT4_ARRAY

See Also:
  - Constant Field Values

### INT8

public static final int INT8

See Also:
  - Constant Field Values

### INT8_ARRAY

public static final int INT8_ARRAY

See Also:
  - Constant Field Values

### TEXT

public static final int TEXT

See Also:
  - Constant Field Values

### TEXT_ARRAY

public static final int TEXT_ARRAY

See Also:
  - Constant Field Values

### NUMERIC

public static final int NUMERIC

See Also:
  - Constant Field Values

### NUMERIC_ARRAY

public static final int NUMERIC_ARRAY

See Also:
  - Constant Field Values

### FLOAT4

public static final int FLOAT4

See Also:
  - Constant Field Values

### FLOAT4_ARRAY

public static final int FLOAT4_ARRAY

See Also:
  - Constant Field Values

### FLOAT8

public static final int FLOAT8

See Also:
  - Constant Field Values

### FLOAT8_ARRAY

public static final int FLOAT8_ARRAY

See Also:
  - Constant Field Values

### BOOL

public static final int BOOL

See Also:
  - Constant Field Values

### BOOL_ARRAY

public static final int BOOL_ARRAY

See Also:
  - Constant Field Values

### DATE

public static final int DATE

See Also:
  - Constant Field Values

### DATE_ARRAY

public static final int DATE_ARRAY

See Also:
  - Constant Field Values

### TIME

public static final int TIME

See Also:
  - Constant Field Values

### TIME_ARRAY

public static final int TIME_ARRAY

See Also:
  - Constant Field Values

### TIMETZ

public static final int TIMETZ

See Also:
  - Constant Field Values

### TIMETZ_ARRAY

public static final int TIMETZ_ARRAY

See Also:
  - Constant Field Values

### TIMESTAMP

public static final int TIMESTAMP

See Also:
  - Constant Field Values

### TIMESTAMP_ARRAY

public static final int TIMESTAMP_ARRAY

See Also:
  - Constant Field Values

### TIMESTAMPTZ

public static final int TIMESTAMPTZ

See Also:
  - Constant Field Values

### TIMESTAMPTZ_ARRAY

public static final int TIMESTAMPTZ_ARRAY

See Also:
  - Constant Field Values

### BYTEA

public static final int BYTEA

See Also:
  - Constant Field Values

### BYTEA_ARRAY

public static final int BYTEA_ARRAY

See Also:
  - Constant Field Values

### VARCHAR

public static final int VARCHAR

See Also:
  - Constant Field Values

### VARCHAR_ARRAY

public static final int VARCHAR_ARRAY

See Also:
  - Constant Field Values

### OID

public static final int OID

See Also:
  - Constant Field Values

### OID_ARRAY

public static final int OID_ARRAY

See Also:
  - Constant Field Values

### BPCHAR

public static final int BPCHAR

See Also:
  - Constant Field Values

### BPCHAR_ARRAY

public static final int BPCHAR_ARRAY

See Also:
  - Constant Field Values

### MONEY

public static final int MONEY

See Also:
  - Constant Field Values

### MONEY_ARRAY

public static final int MONEY_ARRAY

See Also:
  - Constant Field Values

### NAME

public static final int NAME

See Also:
  - Constant Field Values

### NAME_ARRAY

public static final int NAME_ARRAY

See Also:
  - Constant Field Values

### BIT

public static final int BIT

See Also:
  - Constant Field Values

### BIT_ARRAY

public static final int BIT_ARRAY

See Also:
  - Constant Field Values

### VOID

public static final int VOID

See Also:
  - Constant Field Values

### INTERVAL

public static final int INTERVAL

See Also:
  - Constant Field Values

### INTERVAL_ARRAY

public static final int INTERVAL_ARRAY

See Also:
  - Constant Field Values

### CHAR

public static final int CHAR

See Also:
  - Constant Field Values

### CHAR_ARRAY

public static final int CHAR_ARRAY

See Also:
  - Constant Field Values

### VARBIT

public static final int VARBIT

See Also:
  - Constant Field Values

### VARBIT_ARRAY

public static final int VARBIT_ARRAY

See Also:
  - Constant Field Values

### UUID

public static final int UUID

See Also:
  - Constant Field Values

### UUID_ARRAY

public static final int UUID_ARRAY

See Also:
  - Constant Field Values

### XML

public static final int XML

See Also:
  - Constant Field Values

### XML_ARRAY

public static final int XML_ARRAY

See Also:
  - Constant Field Values

### POINT

public static final int POINT

See Also:
  - Constant Field Values

### POINT_ARRAY

public static final int POINT_ARRAY

See Also:
  - Constant Field Values

### BOX

public static final int BOX

See Also:
  - Constant Field Values

### BOX_ARRAY

public static final int BOX_ARRAY

See Also:
  - Constant Field Values

### JSONB

public static final int JSONB

See Also:
  - Constant Field Values

### JSONB_ARRAY

public static final int JSONB_ARRAY

See Also:
  - Constant Field Values

### JSON

public static final int JSON

See Also:
  - Constant Field Values

### JSON_ARRAY

public static final int JSON_ARRAY

See Also:
  - Constant Field Values

### REF_CURSOR

public static final int REF_CURSOR

See Also:
  - Constant Field Values

### REF_CURSOR_ARRAY

public static final int REF_CURSOR_ARRAY

See Also:
  - Constant Field Values

### LINE

public static final int LINE

See Also:
  - Constant Field Values

### LSEG

public static final int LSEG

See Also:
  - Constant Field Values

### PATH

public static final int PATH

See Also:
  - Constant Field Values

### POLYGON

public static final int POLYGON

See Also:
  - Constant Field Values

### CIRCLE

public static final int CIRCLE

See Also:
  - Constant Field Values

### CIDR

public static final int CIDR

See Also:
  - Constant Field Values

### INET

public static final int INET

See Also:
  - Constant Field Values

### MACADDR

public static final int MACADDR

See Also:
  - Constant Field Values

### MACADDR8

public static final int MACADDR8

See Also:
  - Constant Field Values

### TSVECTOR

public static final int TSVECTOR

See Also:
  - Constant Field Values

### TSQUERY

public static final int TSQUERY

See Also:
  - Constant Field Values

## Constructor Details

### Oid

public Oid()

## Method Details

### toString

public static String toString(int oid)
Returns the name of the oid as string.

Parameters:
  `oid` - The oid to convert to name.
Returns:
  The name of the oid or `"<unknown>"` if oid no constant for oid value has been defined.

### valueOf

public static int valueOf(String oid) throws PSQLException

Throws:
  `PSQLException`